Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class BackgroundFactory

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.j3d.BackgroundFactory

    public class BackgroundFactory

extends Object

Factory for creating different types of Java3D objects to be used as background objects.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $

Method Summary
`static javax.media.j3d.Background` | `createSimpleBackgroundGroup(ViewPoint vp, Color color, URL imgURL, Dimension reqImgDimension)` Creates Java 3D `background` object, drawn at infinity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSimpleBackgroundGroup

    public static javax.media.j3d.Background createSimpleBackgroundGroup(ViewPoint vp,
                                                                         Color color,
                                                                         URL imgURL,
                                                                         Dimension reqImgDimension)
                                                                  throws IOException

  Creates Java 3D `background` object, drawn at infinity. This method is used for "box" views and/or when the users wants a fixed background image. Not the in the latter case for optimal results, the image should be of same dimensions as the `GetView` image

  Parameters:
    `vp` - the ViewPoint defining the observer's position
    `color` - the background color (seen when image is null or doesn't cover the whole view)
    `imgURL` - a URL pointing to an image
    `reqImgDimension` -
  Returns:
    A Java3D Background Node
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org